=== debian/changelog ===
yade (2022.01a-7) unstable; urgency=medium

  * [60318e0] Fix compilation against python3.10
  * [6b8771d] Fix typo in d/rules
  * [50f426a] Apply cme fix dpkg
  * [f335d77] Re-export upstream signing key without extra signatures.

 -- Anton Gladky <gladk@debian.org>  Mon, 21 Mar 2022 21:59:26 +0100

yade (2022.01a-6) unstable; urgency=medium

  * [064dad3] Disable polyhedra-check (random failure)
  * [6810277] Disable longdouble on ppc64el due to crash

 -- Anton Gladky <gladk@debian.org>  Sun, 30 Jan 2022 22:24:02 +0100

yade (2022.01a-5) unstable; urgency=medium

  * [18456f2] Minor update in d/rules
  * Upload into unstable

 -- Anton Gladky <gladk@debian.org>  Fri, 28 Jan 2022 21:45:41 +0100

yade (2022.01a-5~exp3) experimental; urgency=medium

  * [bc47573] Remove executive flag from debian/yade.links

 -- Anton Gladky <gladk@debian.org>  Thu, 27 Jan 2022 21:53:36 +0100

yade (2022.01a-5~exp2) experimental; urgency=medium

  * [9908b97] Import patch from upstream, hp-precision
  * [b9eb6e2] Disable debug-info
  * [45d907b] Build float128 only on i386 and amd64
  * [69d4d14] Link yade-double onto yade

 -- Anton Gladky <gladk@debian.org>  Wed, 26 Jan 2022 23:00:42 +0100

yade (2022.01a-5~exp1) experimental; urgency=medium

  * [903cd50] Build real-hp binaries

 -- Anton Gladky <gladk@debian.org>  Mon, 24 Jan 2022 21:08:02 +0100

yade (2022.01a-4) unstable; urgency=medium

  * [5ce4c3f] Enable HP-builds

 -- Anton Gladky <gladk@debian.org>  Wed, 19 Jan 2022 21:48:19 +0100

yade (2022.01a-3) unstable; urgency=medium

  * [cc2eda2] Disable REAL_HP on i386 and ppc64el

 -- Anton Gladky <gladk@debian.org>  Mon, 17 Jan 2022 07:08:04 +0100

yade (2022.01a-2) unstable; urgency=medium

  * [0b10d04] Disable REAL_HP on arm64 and s390x due to build failures
  * [02633b2] Add debian/upstream/signing-key.asc

 -- Anton Gladky <gladk@debian.org>  Sun, 16 Jan 2022 20:54:00 +0100

yade (2022.01a-1) unstable; urgency=medium

  * [1d00544] New upstream version 2022.01a
  * [69672ae] Refresh patches

 -- Anton Gladky <gladk@debian.org>  Sun, 16 Jan 2022 18:11:14 +0100

yade (2021.11~git~6f71ebd-1) unstable; urgency=medium

  * [8b5ce9c] Update d/watch
  * [d9a65d5] New upstream version 2021.11~git~6f71ebd. (Closes: #984421)
  * [2ff5d77] Clean d/patches
  * [36d8e29] Use no-as-needed in d/rules
  * [8ae7d89] Set Standards-Version: 4.6.0

 -- Anton Gladky <gladk@debian.org>  Tue, 09 Nov 2021 22:01:35 +0100
