## yade 2023.02a

=== CMakeLists.txt ===
--- 
+++ 
@@ -35,7 +35,9 @@
 #  ENABLE_POTENTIAL_BLOCKS    : enable potential blocks option (ON by default)
 #  ENABLE_POTENTIAL_PARTICLES : enable potential particles option (ON by default)
 #  ENABLE_PROFILING           : enable profiling, e.g. shows some more metrics, which can define bottlenecks of the code (OFF by default)
-#  ENABLE_REAL_HP             : allow using twice, quadruple or higher precisions of Real
+#  ENABLE_REAL_HP             : allow using twice, quadruple or higher precisions of Real. It is not advertised in yade.config.features because of frequent confusion
+#                               with output of yade.math.usesHP() as described in https://gitlab.com/yade-dev/trunk/-/issues/247
+#                               Please call yade.math.getRealHPCppDigits10() and yade.math.getRealHPPythonDigits10() instead.
 #  ENABLE_SPH                 : enable SPH-option, Smoothed Particle Hydrodynamics (OFF by default)
 #  ENABLE_THERMAL             : enable thermal engine (ON by default, experimental)"
 #  ENABLE_TWOPHASEFLOW        : enable TWOPHASEFLOW-option, TwoPhaseFlowEngine (ON by default)
@@ -49,6 +51,7 @@
 #  CHOLMOD_GPU link Yade to custom SuiteSparse installation and activate GPU accelerated PFV (OFF by default)
 #  SUITESPARSEPATH: define this variable with the path to a custom suitesparse install
 #  PYTHON_VERSION: force python version to the given one, set -1 to automatically use the last version on the system. (-1 by default)
+#  DISABLE_PKGS : comma-separated list of disabled packages from 'pkg', 'preprocessing' or 'postprocessing', if empty all packages will be built.The packages `common` and `dem` are required to run, but the project can be compiled without them. (EMPTY by default)
 
 project(Yade C CXX)
 cmake_minimum_required(VERSION 3.5.0)
@@ -120,9 +123,12 @@
 OPTION(ENABLE_USEFUL_ERRORS "enable useful compiler errors which help a lot in error-free development." ${DEFAULT_ON})
 OPTION(ENABLE_VTK "Enable VTK" ${DEFAULT_ON})
 OPTION(CHOLMOD_GPU "Enable GPU acceleration flow engine direct solver" ${DEFAULT_OFF})
-OPTION(USE_QT5 "USE Qt5 for GUI" ${DEFAULT_ON})
+OPTION(USE_QT5 "USE Qt5 for GUI" ON)
+
 #Set -DPYTHON_VERSION numeric option below:
 set(PYTHON_VERSION -1 CACHE STRING "Force python version to the given one. Defaults to -DPYTHON_VERSION=-1 which automatically uses the newest available python version on the system.")
+
+set(DISABLE_PKGS "" CACHE STRING "Comma-separated list of disabled packages from 'pkg', 'preprocessing' or 'postprocessing', if empty all packages will be built.")
 #===========================================================
 
 
@@ -162,13 +168,3 @@
   IF ( "${CMAKE_CXX_COMPILER_LAUNCHER}" MATCHES ".*ccache" OR "${CMAKE_CXX_COMPILER}" MATCHES ".*ccache.*" )
     MESSAGE(STATUS "ccache detected, will not use -save-temps")
 # on ubuntu 18.04 and 18.10 when ccache is used we need to fix some bug, see https://gitlab.kitware.com/cmake/cmake/issues/17275
-# but we can't do this on ubuntu 16.04 with cmake version 3.5.1, because that produces error: "list does not recognize sub-command FILTER".
-# So we must be above version 3.6, because https://cmake.org/cmake/help/v3.6/release/3.6.html?highlight=filter
-# Later maybe on some higher cmake version this will become unnecessary.
-    IF(CMAKE_VERSION VERSION_GREATER 3.6 OR CMAKE_VERSION VERSION_EQUAL 3.6)
-        string (STRIP "${CMAKE_CXX_COMPILER_ARG1}" __CXX_COMPILER_ARG1)
-        set(CMAKE_CXX_COMPILER_PREDEFINES_COMMAND "${CMAKE_CXX_COMPILER}" "${__CXX_COMPILER_ARG1}" "-dM" "-E" "-c" "${CMAKE_ROOT}/Modules/CMakeCXXCompilerABI.cpp")
-        list(FILTER CMAKE_CXX_COMPILER_PREDEFINES_COMMAND EXCLUDE REGEX "^$")
-        unset(__CXX_COMPILER_ARG1)
-    ENDIF()
-  ELSE()
