=== py/CMakeLists.txt ===
--- 
+++ 
@@ -29,6 +29,8 @@
 INSTALL(FILES ${filesPYPerf} DESTINATION ${YADE_PY_PATH}/yade/tests/checks/performance)
 FILE(GLOB filesFEMxDEM "${CMAKE_CURRENT_SOURCE_DIR}/FEMxDEM/*.py")
 INSTALL(FILES ${filesFEMxDEM} DESTINATION ${YADE_PY_PATH}/yade/FEMxDEM)
+FILE(GLOB bf "${CMAKE_CURRENT_SOURCE_DIR}/bf/*.py")
+INSTALL(FILES ${bf} DESTINATION ${YADE_PY_PATH}/yade/bf)
 
 ADD_LIBRARY(_libVersions SHARED "${CMAKE_CURRENT_SOURCE_DIR}/_libVersions.cpp")
 SET_TARGET_PROPERTIES(_libVersions PROPERTIES PREFIX "")
@@ -88,6 +90,11 @@
 SET_TARGET_PROPERTIES(_customConverters PROPERTIES PREFIX "")
 INSTALL(TARGETS _customConverters DESTINATION "${YADE_PY_PATH}/yade/")
 
+FILE(GLOB_RECURSE YMPORT_CPP_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/ymport/*.cpp)
+ADD_LIBRARY(_ymport SHARED "${CMAKE_CURRENT_SOURCE_DIR}/_ymport.cpp" ${YMPORT_CPP_SRCS})
+SET_TARGET_PROPERTIES(_ymport PROPERTIES PREFIX "")
+INSTALL(TARGETS _ymport DESTINATION "${YADE_PY_PATH}/yade/")
+
 IF(ENABLE_LOGGER AND CMAKE_UNITY_BUILD)
 	MESSAGE(STATUS "${Esc}[93mENABLE_LOGGER needs a workaround with CMAKE_UNITY_BUILD, adding .cpp files containing CREATE_CPP_LOCAL_LOGGER to SKIP_UNITY_BUILD_INCLUSION.${Esc}[0m")
 	SET(FIND_CPP_LOGGER_ARGS -rZl CREATE_CPP_LOCAL_LOGGER ${CMAKE_SOURCE_DIR}/py --include=*.cpp)
