=== scripts/ppa_ci/aptly/Makefile ===
build:
	docker build -t aptly:yade -f Dockerfile .
