=== debian/changelog ===
yade (2023.02a-1) unstable; urgency=medium

  * Upload into unstable.

 -- Anton Gladky <gladk@debian.org>  Sun, 05 Feb 2023 09:18:14 +0100

yade (2023.02a-1~exp4) experimental; urgency=medium

  * [3a4e777] Add python3-ipython-genutils into BD.

 -- Anton Gladky <gladk@debian.org>  Sat, 04 Feb 2023 09:36:16 +0100

yade (2023.02a-1~exp3) experimental; urgency=medium

  * [47c6bba] Disable checkCapillaryEngineStandalone test.

 -- Anton Gladky <gladk@debian.org>  Fri, 03 Feb 2023 19:33:33 +0100

yade (2023.02a-1~exp2) experimental; urgency=medium

  * [b900b80] Add python3.11 as supported.

 -- Anton Gladky <gladk@debian.org>  Thu, 02 Feb 2023 21:34:00 +0100

yade (2023.02a-1~exp1) experimental; urgency=medium

  * [dcff066] New upstream version 2023.02a. (Closes: #1028983, #1022735)
  * [873e430] Remove all patches (applied by upstream)
  * [ad4babe] Remove lintian overrides

 -- Anton Gladky <gladk@debian.org>  Thu, 02 Feb 2023 07:23:39 +0100

yade (2022.01a-13) unstable; urgency=medium

  * [03b172a] Fix doc: import error in make doc. (Closes: #1022735)
  * [8e92f56] Set upstream metadata fields: Bug-Database, Bug-Submit.
  * [f97e430] Update standards version to 4.6.2, no changes needed.

 -- Anton Gladky <gladk@debian.org>  Sat, 14 Jan 2023 21:29:32 +0100

yade (2022.01a-12) unstable; urgency=medium

  * [b29c74b] Drop mpfr150 test on i386

 -- Anton Gladky <gladk@debian.org>  Thu, 01 Sep 2022 19:11:57 +0200

yade (2022.01a-11) unstable; urgency=medium

  * [c1ead14] Fix i386 and ppc64el builds.

 -- Anton Gladky <gladk@debian.org>  Sun, 28 Aug 2022 12:45:34 +0200

yade (2022.01a-10) unstable; urgency=medium

  * [5528878] Fix GCC-12 FTBFS. (Closes: #1013072)
  * [884074b] Fix tests. (Closes: #1013932)
  * [2641285] Set Standards-Version: 4.6.1

 -- Anton Gladky <gladk@debian.org>  Sun, 21 Aug 2022 12:23:09 +0200

yade (2022.01a-9) unstable; urgency=medium

  * [cd0712a] Revert "Do not run a special test on i386."
              Potential bug is fixed in the boost1.74.

 -- Anton Gladky <gladk@debian.org>  Thu, 02 Jun 2022 22:43:59 +0200

yade (2022.01a-8) unstable; urgency=medium

  * [fc5ece6] Do not run a special test on i386. (Closes: #1009739)

 -- Anton Gladky <gladk@debian.org>  Thu, 26 May 2022 17:39:05 +0200
