=== debian/control ===
--- 
+++ 
@@ -45,6 +45,7 @@
                zlib1g-dev
 Build-Depends-Indep: dvipng,
                      graphviz,
+                     python3-ipython-genutils,
                      libjs-jquery,
                      lmodern,
                      python3-bibtexparser,
@@ -56,7 +57,7 @@
                      texlive-pictures,
                      texlive-xetex,
                      tipa
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/yade
 Vcs-Git: https://salsa.debian.org/science-team/yade.git
 Homepage: https://yade-dem.org/doc/
